import { world, ItemStack, BlockPermutation } from '@minecraft/server'

 world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('true:time', {
        onTick(e) {
            const { block } = e
            const age = block.permutation.getState('true:time')
            if (age == 1) {
                block.setPermutation(block.permutation.withState('true:time', age - 1))
            }
            if (age == 0) {
              block.setPermutation(block.permutation.withState('true:time', age + 1))
            }
          }
        }
      )
    }  
  )